package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/5/15
 * created with IntelliJ IDEA.
 */
@Data
public class CommissionDeclareDTO {

    @AbcValidate(required = true,message = "主业务id不能为空",fun = Check.NotNull)
    private Long businessId;

    private Long productionId;

    @AbcValidate(required = true,message = "业务类型不能为空",fun = Check.NotEmpty)
    private String businessType;

    @AbcValidate(required = true,message = "业务分类不能为空",fun = Check.NotNull)
    private Long commissionRateId;

    private List<UserShareRate> userShareRates;



}
