package com.dayou.vo;

import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AssetsOrderFundInvoiceVO extends BaseEntity {

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 订单应收款
     */
    private BigDecimal shouldAmount;

    /**
     * 订单实收款
     */
    private BigDecimal realAmount;

    /**
     * 发票抬头
     */
    private String title;

    /**
     * 发票类型
     */
    private String type;

    /**
     * 税号
     */
    private String taxNo;

    /**
     * 开户银行
     */
    private String bankName;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 银行地址
     */
    private String bankAddress;

    /**
     * 银行电话
     */
    private String bankTel;
}
