package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/12/8
 * created with IntelliJ IDEA.
 */
@Data
public class MajorOrderVO {

    private Long id;

    /**
     * 产品收款id
     */
    private Long orderFundId;

    /**
     * 订单号
     */
    private String orderId;
    /**
     * 订单名称
     */
    private String orderName;

    /**
     *负责人
     */
    private String principal;
    /**
     *客户经理
     */
    private String clientManager;

    /**
     * 客户经理USER_ID
     */
    private Long clientManagerId;
    /**
     *客户名称
     */
    private String clienteleName;
    /**
     *业务来源
     */
    private String clienteleSubName;
    /**
     *客户联系人
     */
    private String clienteleContactName;
    /**
     *委托人
     */
    private String bailor;
    /**
     *产权人
     */
    private String owner;

    /**
     *应收款
     */
    private BigDecimal shouldAmount;
    /**
     *实收款
     */
    private BigDecimal realAmount;
    /**
     *开票金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 下单时间
     */
    private Date created;

    /**
     * 应收款备注
     */
    private String remark;

    private String startDate;

    private String endDate;

}
