package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.CommissionDeclare;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.CommissionDeclareTodoCheckVO;
import com.dayou.vo.CommissionDeclareVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 提成申报 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-05-15
 */
public interface CommissionDeclareMapper extends CustomBaseMapper<CommissionDeclare> {

    Page<CommissionDeclareVO> majorMarketDeclarePage(Page page, @Param("declare") CommissionDeclareVO commissionDeclare,@Param("marketUserId") Long marketUserId);

    Page<CommissionDeclareVO> majorEvaluateDeclarePage(Page page, @Param("declare")CommissionDeclareVO commissionDeclare, @Param("evaluateUserId")Long currentEvaluateUserId);

    CommissionDeclareVO detail(@Param("id") Long id);

    Page<CommissionDeclareTodoCheckVO> todoCheckPage(Page page, @Param("checkVO")CommissionDeclareTodoCheckVO checkVO);
}
