package com.dayou.mapper;

import com.dayou.dto.ReportDTO;
import com.dayou.entity.ProductionFund;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.MajorOrderVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 业务产品收款表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface ProductionFundMapper extends CustomBaseMapper<ProductionFund> {

   List<ReportDTO> getProductionFundByOrderFundId(@Param("orderFundId") Long orderFundId);

    List<ProductionFund> deepQueryProductionFund(@Param("majorIds") List<Long> majorIds);
}
