package com.dayou.service;
import com.dayou.dto.CommissionDeclareDTO;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.CommissionDeclare;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.CommissionDeclareDetailVO;
import com.dayou.vo.CommissionDeclareTodoCheckVO;
import com.dayou.vo.CommissionDeclareVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 提成申报 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-05-15
 */
public interface ICommissionDeclareService extends IService<CommissionDeclare> {


    Boolean delete(Long id);

    Page<CommissionDeclareVO> majorMarketDeclarePage(Page page, CommissionDeclareVO commissionDeclare);

    Page<CommissionDeclareVO> majorEvaluateDeclarePage(Page page, CommissionDeclareVO commissionDeclare);

    Boolean commissionDeclare(CommissionDeclareDTO declareDTO);

    CommissionDeclareDetailVO detail(Long id);

    Page<CommissionDeclareTodoCheckVO> todoCheckPage(Page page, CommissionDeclareTodoCheckVO checkVO);
}
